mir_agent.h File Reference
`#include <core/trust/visibility.h>`
`#include <memory>`
`#include <stdexcept>`
Include dependency graph for mir_agent.h:

Go to the source code of this file.

## Classes

class | core::trust::mir::InvalidMirConnection

## Namespaces

| core
| core::trust
| Contains functionality for implementing Ubuntu's trust model.
| core::trust::mir

## Functions

CORE_TRUST_DLL_PUBLIC MirConnection * | core::trust::mir::connect (const std::string &endpoint, const std::string &name)
| Helper function building up a connection to Mir. More...
CORE_TRUST_DLL_PUBLIC std::shared_ptr< core::trust::Agent > | core::trust::mir::create_agent_for_mir_connection (MirConnection *connection)
| create_agent_for_mir_connection creates a trust::Agent implementation leveraging Mir's trusted prompting API. More...